1 Reply Latest reply on Jul 16, 2013 4:47 AM by Alessio Soldano

    Upgrade jbossws-common spec api dependencies to latest version ?

    Lin Gao Newbie

      There are several dependencies in jbossws-common project, which has some JavaEE spec api dependencies that is NOT latest version:

       

      1. jboss-ejb-api_3.1_spec

        <ejb.api.version>1.0.0.CR2</ejb.api.version>

       

          <dependency>

            <groupId>org.jboss.spec.javax.ejb</groupId>

            <artifactId>jboss-ejb-api_3.1_spec</artifactId>

            <version>${ejb.api.version}</version>

            <scope>provided</scope>

          </dependency>

       

         The latest version of this spec api is: 1.0.2.Final

       

      2. jboss-jms-api_1.1_spec

       

        <jms.api.version>1.0.0.Final</jms.api.version>

        

          <dependency>

            <groupId>org.jboss.spec.javax.jms</groupId>

            <artifactId>jboss-jms-api_1.1_spec</artifactId>

            <version>${jms.api.version}</version>

            <scope>provided</scope>

          </dependency>

       

         The latest version of this spec api is: 1.0.1.Final

       

      3. jboss-servlet-api_3.0_spec

         

          <servlet.api.version>1.0.0.Final</servlet.api.version>

         

          <dependency>

            <groupId>org.jboss.spec.javax.servlet</groupId>

            <artifactId>jboss-servlet-api_3.0_spec</artifactId>

            <version>${servlet.api.version}</version>

            <scope>provided</scope>

          </dependency>

       

         The latest version of this spec api is: 1.0.2.Final

       

      4.  jboss-jaxws-api_2.2_spec

       

          <jaxws.api.version>1.0.0.Final</jaxws.api.version>

          

          <dependency>

            <groupId>org.jboss.spec.javax.xml.ws</groupId>

            <artifactId>jboss-jaxws-api_2.2_spec</artifactId>

            <version>${jaxws.api.version}</version>

          </dependency>

       

           The latest version of this spec api is: 2.0.1.Final

       

       

      Upgrades these spec dependency versions can align the version with jboss as dependencies and unique scope definition of the JavaEE spec api dependencies, which uses 'provided'.